#include "QNemoProgress.h"

QNemoProgress::QNemoProgress(QObject *parent) :
    ProgressBase()
  , QObject(parent)
{

}

QNemoProgress::QNemoProgress(const QNemoProgress &other, QObject *parent):
    ProgressBase(other)
  , QObject(parent)
{

}

QNemoProgress *QNemoProgress::Clone() const {
    return new QNemoProgress(*this, this->parent());
}

QVector<int> &QNemoProgress::progress() {
    emit QNemoProgress::progressChanged();
    return _progress;
}

const QVector<int> &QNemoProgress::progress() const {
    return _progress;
}
